// pages/user/info/index.js
const app = getApp();
const util = require("../../../util/util.js")
Page({
  data: {
    info:{}
  },
  onLoad: function (options) {
    let info = this.data.info;
    app.getMakerInfo(  res =>{
      Object.assign( info, res )
      this.setData( {info })
    })
  },
  previewImage: function (e) {
    var current = e.target.dataset.src;
    wx.previewImage({
      current: current, 
      urls: [current]
    })
  },
  gotoSign(){
    wx.navigateTo({
      url: '/pages/tool/sign/signature',
    })
  }
})